Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.application
Class ApplicationLifecycleListener

    java.lang.Object
      weblogic.application.ApplicationLifecycleListener

    public abstract class ApplicationLifecycleListener

extends Object

The abstract class, ApplicationLifecycleListener, should be extended to create listener, startup and shutdown classes that a user may wish to tie into their application lifecycle.

We currently support four stages of the lifecycle for listener registration: preStart, postStart, preStop, and postStop. In addition, the extended classes can be of three types: listeners, startup classes, shutdown classes. Typically, listners will extend the WLS abstract class, ApplicationLifecycleListener and implement all relevant methods (preStop through postStop) and will fire according to the methods implemented. For example, a fully implemented listener class will fire at all lifecycle events (preStart, postStart, preStop, and postStop). A startup or shutdown class with only implement its main method and fire either at preStart (startup) or postStop (shutdown).

Constructor Summary
`ApplicationLifecycleListener()`

Method Summary
`void` | `postStart(ApplicationLifecycleEvent evt)` Provides hooks for listener classes after the application finishes initialization.
`void` | `postStop(ApplicationLifecycleEvent evt)` Provides hooks for listeners and shut-down classes after the application finishes its shutdown process.
`void` | `preStart(ApplicationLifecycleEvent evt)` Provides hooks for listeners and start-up classes before the application finishes initialization.
`void` | `preStop(ApplicationLifecycleEvent evt)` Provides hooks for listener classes when the application commmences its shutdown process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationLifecycleListener

    public ApplicationLifecycleListener()

Method Detail

### preStart

    public void preStart(ApplicationLifecycleEvent evt)

  Provides hooks for listeners and start-up classes before the application finishes initialization.

### postStart

    public void postStart(ApplicationLifecycleEvent evt)

  Provides hooks for listener classes after the application finishes initialization.

### preStop

    public void preStop(ApplicationLifecycleEvent evt)

  Provides hooks for listener classes when the application commmences its shutdown process.

### postStop

    public void postStop(ApplicationLifecycleEvent evt)

  Provides hooks for listeners and shut-down classes after the application finishes its shutdown process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD